package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

public class OutStockReq implements Serializable {

    private String userId;

    @NotBlank(message = "出库仓库不能为空")
    private String warehouseId;

    private String remarks;

    @Valid
    @NotEmpty(message = "盘点明细不能为空")
    private List<OutStockDetailReq> details;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public List<OutStockDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<OutStockDetailReq> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return "OutStockReq{" +
                "userId='" + userId + '\'' +
                ", warehouseId='" + warehouseId + '\'' +
                ", remarks='" + remarks + '\'' +
                ", details=" + details +
                '}';
    }
}
